#include <pic18.h>

	__CONFIG(1, OSCSEN & XT);
	__CONFIG(2, BOREN & BORV27 & PWRTEN & WDTEN & WDTPS128);
	__CONFIG(3, CCP2RB3);
	__CONFIG(4, DEBUGDIS & LVPDIS & STVREN);
	__CONFIG(5, UNPROTECT);
	__CONFIG(6, WRTEN);
	__CONFIG(7, TRU);

#define LCD

#include "types.h"

#include "delay.c"

#define  TrisC 0b00000000
//               ||||||||
//               |||||||A0
//               ||||||LED
//               |||||SERVO_IN
//               ||||D0
//               |||D1
//               ||D2
//               |D3 
//               E  

#ifdef LCD
// LCD connector;
// 1   2   3   4   5   6   7   8   9   
// GND U+  A0  E   D4  D5  D6  D7  UBL+
/*
#define	LCD_A0    LC0   // LCD-4  - PIC-11
#define	LCD_D4    LC3   // LCD-11 - PIC-14
#define	LCD_D5    LC4   // LCD-12 - PIC-15
#define	LCD_D6    LC5   // LCD-13 - PIC-16
#define	LCD_D7    LC6   // LCD-14 - PIC-17
#define	LCD_E     LC7   // LCD-6  - PIC-18
*/
#define	LCD_A0    LA0   // LCD-4  - PIC-2
#define	LCD_E     LA1   // LCD-6  - PIC-3
#define	LCD_D4    LA2   // LCD-11 - PIC-4
#define	LCD_D5    LA3   // LCD-12 - PIC-5
#define	LCD_D6    LB0   // LCD-13 - PIC-21
#define	LCD_D7    LB1   // LCD-14 - PIC-22
#endif

#include "lcd8m.c"

void main(void) {

  PORTA = PORTB = PORTC = 0;
  LATA = LATB = LATC = 0;
  TRISA = 0; 
  TRISC = TrisC;
  TRISB = 0;

  OSCCON = 0; // 8 MHz;

  ADCON0 = 0;
  ADCON1 = 0b00000111;

  GIE = 0; 

{
  byte a = 0;
  Delay10ms(200);
  LCD_CURSOR_ON;
  LCD_CURSOR_LINE_1 (0);
  lcdWriteln ("Test");
  while (1) {
    CLRWDT(); 
    Delay10ms(200);
    a++;
//    LA0 = a & 1;
/*
    PORTA = 0;
    PORTB = 0;
    PORTC = 0;
    PORTA = 0b00011111;
    PORTB = 0b11111111;
    PORTC = 0b11111111;
*/
    LCD_CURSOR_LINE_2 (0);  WriteBNum (a);
  }
}
}

